<!-- date picker component -->
<div class="search">

    <!-- <mat-form-field floatLabel="never">
        <input #minmaxInput matInput [min]="minDate" [matDatepicker]="minmaxvalidation"
          (focus)="minmaxvalidation.open()" (click)="minmaxvalidation.open()" placeholder="Pick a date"
          formControlName="insurance_expiry_date">
        <mat-datepicker-toggle matSuffix [for]="minmaxvalidation">
        </mat-datepicker-toggle>
        <mat-datepicker #minmaxvalidation></mat-datepicker>
      </mat-form-field> -->
      <mat-form-field class="example-full-width">
        <input matInput #input="ngModel" [(ngModel)]="date" [min]="minDate" [max]="maxDate" [matDatepicker]="picker" placeholder="Choose a date">
        <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
        <mat-datepicker #picker></mat-datepicker>
      
        <mat-error *ngIf="input.hasError('matDatepickerMax')">Date should be inferior</mat-error>
      
      </mat-form-field> 
</div>